Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > KOReader

Notices

Reply
 
Thread Tools Search this Thread
Old 10-15-2017, 05:32 PM   #1
Fstab
Junior Member
Fstab began at the beginning.
 
Posts: 6
Karma: 10
Join Date: Oct 2017
Device: PW
KPV Booklet error

Hi,

I am new to this forum, which I find when looking for a way to read ePub ebooks on a Kindle PaperWhite.

Thanks a lot to all contributors, this forum is really full of useful information!

Here is my ebook reader:
Kindle PaperWhite WiFi (Kindle Paperwhite 1st generation --> Fifth generation)
Firmware: Kindle 5.6.1.1 (2689890035)

I read carefully all procedures and install :
- downgrade firmware (to Kindle 5.3.3), install jailbreak (kindle-jailbreak-1.14.N), and update firmware to same version than before (Kindle 5.6.1.1) ;
- KUAL 2.7 ;
- MRPI 1.6N ;
- KPVBooklet 0.6.5 (as an extension) ;
- KOReader nightly 20170821 (but also tried KOReader nightly 20171004).

And here is my problem.
I want to open ePub ebooks in the Kindle native interface, without opening KOReader. I read it is possible, but when I try, it prints an error message:
"Application error, the selected application could not be started. Try again."
(It is my english traduction of the french message I have got, so it must be inacurate. But I think you will understand. ).

Thanks for your help.
Fstab is offline   Reply With Quote
Old 10-19-2017, 02:20 PM   #2
Fstab
Junior Member
Fstab began at the beginning.
 
Posts: 6
Karma: 10
Join Date: Oct 2017
Device: PW
Hey,

Am I the only one who can't open ePub files without lauching KUAL with these settings?

It would really be nice if someone has an idea of what can be wrong on my device or settings.

Thanks!
Fstab is offline   Reply With Quote
Advert
Old 10-20-2017, 05:26 AM   #3
Frenzie
Evangelist
Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.
 
Posts: 443
Karma: 111542
Join Date: Oct 2014
Location: Antwerp
Device: Kobo Aura H2O
I can't help you myself, but it's probably the same issue as this one: https://github.com/koreader/kpvbooklet/issues/30
Frenzie is offline   Reply With Quote
Old 10-20-2017, 07:49 AM   #4
Fstab
Junior Member
Fstab began at the beginning.
 
Posts: 6
Karma: 10
Join Date: Oct 2017
Device: PW
Thanks a lot, Frenzie!

I will look into it.
Fstab is offline   Reply With Quote
Old 10-20-2017, 09:55 AM   #5
Frenzie
Evangelist
Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.
 
Posts: 443
Karma: 111542
Join Date: Oct 2014
Location: Antwerp
Device: Kobo Aura H2O
Looks like chrox just released a new version: https://github.com/koreader/kpvbookl...ses/tag/v0.6.6
Frenzie is offline   Reply With Quote
Advert
Old 10-20-2017, 03:49 PM   #6
Fstab
Junior Member
Fstab began at the beginning.
 
Posts: 6
Karma: 10
Join Date: Oct 2017
Device: PW
Hey Frenzie,

I confirm it is the exact same error.

No problem to read ePub files in KOReader, but when opening the exact same ePub files in the native Kindle interface, I have the application error message.

Problem with KPVBooklet v0.6.5 and KPVBooklet v0.6.6.

Works with KPVBooklet v0.6.4. ePub files launch in the native Kindle interface open (with KOReader engine).


Another thing I noticed. When I open these ePub files in KOReader, I read some errors in the crash.log:
Code:
10/20/17-22:56:57 ERROR cannot open translation file: l10n/fr_FR/koreader.po

10/20/17-22:57:00 INFO  opening file ./help/quickstart-en-v2015.11-1287-g5a2c8e4.html
10/20/17-22:57:00 ERROR failed to register crengine font cannot register font <./fonts/host/Caecilia_LT_66_Medium_Italic.ttf>
10/20/17-22:57:00 ERROR failed to register crengine font cannot register font <./fonts/host/Caecilia_LT_67_Cond_Medium.ttf>
10/20/17-22:57:01 ERROR failed to register crengine font cannot register font <./fonts/host/Caecilia_LT_68_Cond_Medium_Italic.ttf>
10/20/17-22:57:01 ERROR failed to register crengine font cannot register font <./fonts/host/Caecilia_LT_75_Bold.ttf>
10/20/17-22:57:01 ERROR failed to register crengine font cannot register font <./fonts/host/Caecilia_LT_76_Bold_Italic.ttf>
10/20/17-22:57:01 ERROR failed to register crengine font cannot register font <./fonts/host/Caecilia_LT_77_Cond_Bold.ttf>
10/20/17-22:57:01 ERROR failed to register crengine font cannot register font <./fonts/host/Caecilia_LT_78_Cond_Bold_Italic.ttf>
10/20/17-22:57:01 ERROR failed to register crengine font cannot register font <./fonts/host/KindleBlackboxBoldItalic.ttf>
10/20/17-22:57:01 ERROR failed to register crengine font cannot register font <./fonts/host/KindleBlackboxItalic.ttf>
10/20/17-22:57:01 ERROR failed to register crengine font cannot register font <./fonts/host/KindleBlackboxRegular.ttf>
10/20/17-22:57:01 ERROR failed to register crengine font cannot register font <./fonts/host/Kindle_MonospacedSymbol.ttf>
10/20/17-22:57:01 ERROR failed to register crengine font cannot register font <./fonts/host/Kindle_Symbol.ttf>
10/20/17-22:57:01 ERROR failed to register crengine font cannot register font <./fonts/host/MTChineseSurrogates.ttf>
For this error:
Code:
ERROR cannot open translation file: l10n/fr_FR/koreader.po
The path is l10n/fr/koreader.po, so it may be necessary to rename the folder "fr" to "fr_FR".

Other errors comes after opening a file. Here the quickstart help file, but it is the same after opening an ePub file.


Is it necessary to install "kindle-usbnet-0.21.N.zip" to SSH my Kindle PW?

Thanks again.
Fstab is offline   Reply With Quote
Old 10-21-2017, 04:18 AM   #7
Frenzie
Evangelist
Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.
 
Posts: 443
Karma: 111542
Join Date: Oct 2014
Location: Antwerp
Device: Kobo Aura H2O
The font issue is tracked here: https://github.com/koreader/koreader/issues/2925

If you set the language manually it will be set to fr.

I suppose that on Kindle changing the system language also sets an environment variable. It's a harmless error, but one that should probably be changed in the code to fall back from the fr_FR format to just fr.

Quote:
Is it necessary to install "kindle-usbnet-0.21.N.zip" to SSH my Kindle PW?
Like I said, I can't really help you with Kindle. But logically you would of course need either USBNet or some way to SSH over wifi.

Last edited by Frenzie; 10-21-2017 at 07:57 AM. Reason: Clarification.
Frenzie is offline   Reply With Quote
Old 10-21-2017, 11:04 AM   #8
Fstab
Junior Member
Fstab began at the beginning.
 
Posts: 6
Karma: 10
Join Date: Oct 2017
Device: PW
Thank you Frenzie for your detailed answer.

Of course for SSH over wi-fi! I saw the usbnet package in the jailbreak thread, so I forgot about it, but it is obvious!

Yes, I tried to change language to fr and it works.
Do you know if "koreader/frontend/ui/language.lua" is the only place where it is specified? If yes, I will only modify this file and rename the "fr" folder...

I will look into the font issue, thanks.
[Edit] Ok, it explain the problem without resolving it. Not a serious problem.

Last edited by Fstab; 10-21-2017 at 11:07 AM.
Fstab is offline   Reply With Quote
Old 10-21-2017, 12:04 PM   #9
Frenzie
Evangelist
Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.Frenzie knows the difference between a duck.
 
Posts: 443
Karma: 111542
Join Date: Oct 2014
Location: Antwerp
Device: Kobo Aura H2O
Quote:
Do you know if "koreader/frontend/ui/language.lua" is the only place where it is specified? If yes, I will only modify this file and rename the "fr" folder...
It will be overwritten on every update. But I was suggesting to change the language through KOReader itself (Settings → Language). The only thing it's not doing atm is automatically picking up the system language.

If you want to change anything in the code please submit a PR to gettext.lua instead.

https://github.com/koreader/koreader...xt.lua#L51-L55

Probably just add in another step where you sub it on _ with a logger.warn("cannot open fr_FR but using fr instead")

If you want to get even fancier widen the search from there so that a system language like "nl" will auto-load "nl_NL".

Much preferred over modifying folder names. :P

Edit: btw, there might be a spec about this kind of thing somewhere. I'm just brainstorming some stuff that makes sense to me.
Frenzie is offline   Reply With Quote
Old 10-26-2017, 02:24 PM   #10
Fstab
Junior Member
Fstab began at the beginning.
 
Posts: 6
Karma: 10
Join Date: Oct 2017
Device: PW
Thanks for this.

For now, I am satisfied with KPVBooklet v0.64, and did change the language in KOReader settings.

I don't have time at the moment to dig further. ^^

Thanks again for all your help.

[Edit] KVPBooklet v0.6.6 has been fixed. Updating...
[Edit 2] Same problem with new version, can open ePub only from KOReader. Will have to come back to version 0.6.4.

Last edited by Fstab; 10-26-2017 at 03:47 PM.
Fstab is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Recuperar JBPatch en KPv.1 desde FW 5.6.1.x cristbo Amazon Kindle 1 01-09-2018 08:55 AM
KPV Booklet not working with PW3? iamagloworm Kindle Developer's Corner 4 10-14-2017 01:21 PM
Librerator - multi-format e-reader, fork of KPV Kai771 Kindle Developer's Corner 432 10-06-2017 12:20 PM
KPV vs liberator, differences for PDF use? xxtraloud Kindle Developer's Corner 16 09-22-2016 03:45 PM
User experience: KPV Booklet vs KUAL? twowheels Kindle Developer's Corner 10 07-30-2014 05:17 PM


All times are GMT -4. The time now is 09:22 AM.


MobileRead.com is a privately owned, operated and funded community.